Subject: [OAUTH-WG] [Errata Rejected] RFC7591 (6619)

From: RFC Errata System <[email-masked]>
Date: Tue, 22 Jun 2021 21:48:19 -0700 (PDT)

The following errata report has been rejected for RFC7591,
"OAuth 2.0 Dynamic Client Registration Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6619

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Dave Isaacs <[email-masked]>
Date Reported: 2021-06-22
Rejected by: Benjamin Kaduk (IESG)

Section: 2

Original Text
-------------
token_endpoint_auth_method
      String indicator of the requested authentication method for the
      token endpoint.  Values defined by this specification are:

      *  "none": The client is a public client as defined in OAuth 2.0,
         Section 2.1, and does not have a client secret.

      *  "client_secret_post": The client uses the HTTP POST parameters
         as defined in OAuth 2.0, Section 2.3.1.

      *  "client_secret_basic": The client uses HTTP Basic as defined in
         OAuth 2.0, Section 2.3.1.

Corrected Text
--------------
Text unchanged. It is the links that are incorrect.

Notes
-----
The links that are present in each bullet—to Section 2.1, and to Section 2.3.1 (twice)—link internally to the current RFC (RFC 7591) when they are supposed to link to the OAuth 2.0 RFC (RFC 6749).
 --VERIFIER NOTES-- 
 Errata reports are for the official version(s) of the document as published by the RFC Editor.  Prior to RFC 8650 the official version is the plain text copy; the html version with links is the result of running a script over the text copy, and so the "wrong link" here is more properly a bug in the script than an error in the RFC.

--------------------------------------
RFC7591 (draft-ietf-oauth-dyn-reg-30)
--------------------------------------
Title               : OAuth 2.0 Dynamic Client Registration Protocol
Publication Date    : July 2015
Author(s)           : J. Richer, Ed., M. Jones, J. Bradley, M. Machulak, P. Hunt
Category            : PROPOSED STANDARD
Source              : Web Authorization Protocol
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Megan Ferguson <[email-masked]>
Date: Wed, 23 Jun 2021 16:30:25 -0400

Greetings,

FYI - this report has been deleted.  A copy has been forwarded to [email-masked].

Thank you.

RFC Editor/mf

> On Jun 23, 2021, at 12:48 AM, RFC Errata System <[email-masked]> wrote:
>

---

From: Hony Habesha <[email-masked]>
Date: Thu, 24 Jun 2021 00:11:42 +0300

What is this please tell me ?

On Wed, 23 Jun 2021, 07:49 RFC Errata System, <[email-masked]>
wrote:

> The links that are present in each bullet—to Section 2.1, and to Section
> 2.3.1 (twice)—link internally to the current RFC (RFC 7591) when they are
> supposed to link to the OAuth 2.0 RFC (RFC 6749).
>  --VERIFIER NOTES--
>  Errata reports are for the official version(s) of the document as
> published by the RFC Editor.  Prior to RFC 8650 the official version is the
> plain text copy; the html version with links is the result of running a
> script over the text copy, and so the "wrong link" here is more properly a
> bug in the script than an error in the RFC.
>
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth
>